cmake_minimum_required(VERSION 3.15)

project(pfe)

add_subdirectory(external/vtk)

add_executable(pfe)

target_compile_features(pfe PRIVATE cxx_std_17)

target_sources(pfe PRIVATE
  src/main.cc
  src/angles_filter.cc
  src/angles_filter.h
  src/aspect_ratio_filter.cc
  src/aspect_ratio_filter.h)

target_link_libraries(pfe PRIVATE
  VTK::CommonCore
  VTK::ViewsCore
  VTK::RenderingCore
  VTK::IOCore
  VTK::FiltersCore
  VTK::CommonColor
  VTK::GUISupportQt
  VTK::RenderingQt
  VTK::ViewsQt
  VTK::RenderingVolume
  VTK::CommonDataModel
  VTK::IOLegacy
  VTK::IOXML
  VTK::RenderingVolumeOpenGL2)
